/**
 * Copyright (C) 2007-2011 Linutop SAS <http://www.linutop.com/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MAIN_H
#define MAIN_H

enum
{
    NOTEBOOK_PAGE_GENERAL = 0,
    NOTEBOOK_PAGE_KIOSK,
    NOTEBOOK_PAGE_DISPLAY,
    NOTEBOOK_PAGE_REMOTE,
    NOTEBOOK_PAGE_NB
};

#include <glib.h>
#include <glib/gi18n.h>

#include <gtk/gtk.h>

extern GtkWidget *kiosk_widget;
extern GtkWidget *display_widget;
extern GtkWidget *remote_widget;

inline void kiosk_set_timeout_label (gboolean with_display);
inline void kiosk_set_session_at_startup (gboolean at_startup);

#endif /* !MAIN_H */
